package com.jaywagnon.webservices.web.model;


import java.util.ArrayList;
import java.util.List;


public class ValidationErrorDTO
{
  private final List<FieldErrorDTO> errors;


  public ValidationErrorDTO()
  {
    errors = new ArrayList<>();
  }


  public void add(String field, String message)
  {
    errors.add(new FieldErrorDTO(field, message));
  }


  public List<FieldErrorDTO> getErrors()
  {
    return new ArrayList<>(errors);
  }
}
