package com.jaywagnon.webservices.configuration;


import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import javax.sql.DataSource;
import java.beans.PropertyVetoException;

import static junit.framework.TestCase.assertEquals;
import static junit.framework.TestCase.assertNotNull;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;


@RunWith(MockitoJUnitRunner.class)
public class WebAppConfigurationTest
{
  @Mock
  private DataSourceConfiguration dataSourceConfiguration;

  @Mock
  private DataSource dataSource;

  @InjectMocks
  private WebAppConfiguration configuration;


  @Test
  public void test_Constructor()
  {
    assertNotNull(new WebAppConfiguration());
  }


  @Test
  public void test_dataSource()
          throws PropertyVetoException
  {
    when(dataSourceConfiguration.dataSource()).thenReturn(dataSource);
    assertEquals(dataSource, configuration.dataSource());
    verify(dataSourceConfiguration).dataSource();
  }
}
