package com.jaywagnon.webservices.persistence.entity;


import org.junit.Test;

import java.util.Date;

import static junit.framework.TestCase.*;


public class UserTest
{
  @Test
  public void test_Constructor()
  {
    User entity = new User();
    assertNotNull(entity);
  }


  @Test
  public void test_id()
  {
    User entity = new User();

    Long id = new Long(1);
    assertNull(entity.getId());

    entity.setId(id);
    assertEquals(id, entity.getId());
  }


  @Test
  public void test_created()
  {
    User entity = new User();

    Date date = new Date();
    assertNull(entity.getCreated());

    entity.setCreated(date);
    assertEquals(date, entity.getCreated());
  }


  @Test
  public void test_updated()
  {
    User entity = new User();

    Date date = new Date();
    assertNull(entity.getUpdated());

    entity.setUpdated(date);
    assertEquals(date, entity.getUpdated());
  }


  @Test
  public void test_firstName()
  {
    User entity = new User();

    String name = "Name";
    assertNull(entity.getFirstName());

    entity.setFirstName(name);
    assertEquals(name, entity.getFirstName());
  }


  @Test
  public void test_lastName()
  {
    User entity = new User();

    String name = "Name";
    assertNull(entity.getLastName());

    entity.setLastName(name);
    assertEquals(name, entity.getLastName());
  }


  @Test
  public void test_prePersist()
  {
    User entity = new User();

    assertNull(entity.getCreated());

    entity.prePresist();
    assertNotNull(entity.getCreated());
  }


  @Test
  public void test_preUpdate()
  {
    User entity = new User();

    assertNull(entity.getUpdated());

    entity.preUpdate();
    assertNotNull(entity.getUpdated());
  }
}
