package com.jaywagnon.webservices.service;


import com.jaywagnon.webservices.persistence.entity.User;
import com.jaywagnon.webservices.web.model.UserDTO;

import java.util.List;


public interface UserService
{
  public User find(final Long id)
          throws ModelNotFoundException;

  public List<User> findAll();

  public User create(final UserDTO model);

  public User update(final Long id, final UserDTO model)
          throws ModelNotFoundException;

  public User delete(final Long id)
          throws ModelNotFoundException;
}
