package com.jaywagnon.webservices.configuration;


import com.jaywagnon.webservices.service.UserService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

import static org.mockito.Mockito.mock;


@Configuration
@ComponentScan("com.jaywagnon.webservices.web")
@EnableWebMvc
public class TestConfiguration
{
  @Bean
  public UserService userService()
  {
    return mock(UserService.class);
  }
}
